petsc-3.12.4 2020-02-04
Report Typos and Errors

# DMPlexMarkBoundaryFaces

Mark all faces on the boundary

### Synopsis

    #include "petscdmplex.h"
    #include "petscdmlabel.h"
    PetscErrorCode DMPlexMarkBoundaryFaces(DM dm, PetscInt val, DMLabel label)

Not Collective

### Input Parameter

| dm | - The original DM
| val | - The marker value, or PETSC_DETERMINE to use some value in the closure (or 1 if none are found)

### Output Parameter

label -The DMLabel marking boundary faces with the given value

### See Also

DMLabelCreate(), DMCreateLabel()

### Level

developer

### Location

src/dm/impls/plex/plexsubmesh.c

### Examples

src/dm/impls/plex/examples/tutorials/ex2.c.html
src/snes/examples/tutorials/ex12.c.html
src/snes/examples/tutorials/ex56.c.html
src/snes/examples/tutorials/ex77.c.html
src/ts/examples/tutorials/ex48.c.html

### Implementations

DMPlexMarkBoundaryFaces_Internal in src/dm/impls/plex/plexsubmesh.c
Index of all DMPLEX routines
Table of Contents for all manual pages
Index of all manual pages